]> git.sur5r.net Git - bacula/bacula/commitdiff
baculum: Add metadata for deb packages
authorMarcin Haba <marcin.haba@bacula.pl>
Wed, 12 Nov 2014 09:52:08 +0000 (10:52 +0100)
committerMarcin Haba <marcin.haba@bacula.pl>
Wed, 12 Nov 2014 09:52:08 +0000 (10:52 +0100)
gui/baculum/debian/baculum.conffiles [new file with mode: 0644]
gui/baculum/debian/baculum.init [new file with mode: 0755]
gui/baculum/debian/baculum.postinst [new file with mode: 0644]
gui/baculum/debian/baculum.substvars [new file with mode: 0644]
gui/baculum/debian/changelog [new file with mode: 0644]
gui/baculum/debian/compat [new file with mode: 0644]
gui/baculum/debian/control [new file with mode: 0644]
gui/baculum/debian/dirs [new file with mode: 0644]
gui/baculum/debian/files [new file with mode: 0644]
gui/baculum/debian/install [new file with mode: 0644]
gui/baculum/debian/rules [new file with mode: 0755]

diff --git a/gui/baculum/debian/baculum.conffiles b/gui/baculum/debian/baculum.conffiles
new file mode 100644 (file)
index 0000000..e7cacf0
--- /dev/null
@@ -0,0 +1,2 @@
+/etc/baculum/baculum.lighttpd.conf
+/var/www/baculum/protected/Data/baculum.users
diff --git a/gui/baculum/debian/baculum.init b/gui/baculum/debian/baculum.init
new file mode 100755 (executable)
index 0000000..2fb2f3b
--- /dev/null
@@ -0,0 +1,95 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          baculum
+# Required-Start:    $local_fs $remote_fs $network $syslog $named
+# Required-Stop:     $local_fs $remote_fs $network $syslog $named
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Start/stop Baculum
+# Description:       Start the Baculum WebGUI Bacula Community tool.
+#  This script uses Lighttpd web server for working Baculum WebGUI tool.
+### END INIT INFO
+
+DESC="Baculum WebGUI Bacula Community tool"
+NAME=baculum
+SCRIPTNAME=/etc/init.d/$NAME
+DAEMON=/usr/sbin/lighttpd
+DAEMON_OPTS="-f /etc/baculum/baculum.lighttpd.conf"
+PIDFILE="/var/run/$NAME.pid"
+
+test -x $DAEMON || exit 0
+
+set -e
+
+check_syntax()
+{
+    $DAEMON -t $DAEMON_OPTS > /dev/null || exit $?
+}
+
+. /lib/lsb/init-functions
+
+case "$1" in
+    start)
+        check_syntax
+        log_daemon_msg "Starting $DESC" $NAME
+        if ! start-stop-daemon --start --oknodo --quiet \
+            --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS
+        then
+            log_end_msg 1
+        else
+            log_end_msg 0
+        fi
+        ;;
+    stop)
+        log_daemon_msg "Stopping $DESC" $NAME
+        if start-stop-daemon --stop --retry 30 --oknodo --quiet \
+            --pidfile $PIDFILE --exec $DAEMON
+        then
+            rm -f $PIDFILE
+            log_end_msg 0
+        else
+            log_end_msg 1
+        fi
+        ;;
+    reload|force-reload)
+        check_syntax
+        log_daemon_msg "Reloading $DESC configuration" $NAME
+        if start-stop-daemon --stop --signal INT --quiet \
+            --pidfile $PIDFILE --exec $DAEMON
+        then
+            rm $PIDFILE
+            if start-stop-daemon --start --quiet  \
+                --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_OPTS ; then
+                log_end_msg 0
+            else
+                log_end_msg 1
+            fi
+        else
+            log_end_msg 1
+        fi
+        ;;
+    reopen-logs)
+        log_daemon_msg "Reopening $DESC logs" $NAME
+        if start-stop-daemon --stop --signal HUP --oknodo --quiet \
+            --pidfile $PIDFILE --exec $DAEMON
+        then
+            log_end_msg 0
+        else
+            log_end_msg 1
+        fi
+        ;;
+    restart)
+        check_syntax
+        $0 stop
+        $0 start
+        ;;
+    status)
+        status_of_proc -p "$PIDFILE" "$DAEMON" lighttpd && exit 0 || exit $?
+        ;;
+    *)
+        echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload|status}" >&2
+        exit 1
+        ;;
+esac
+
+exit 0
\ No newline at end of file
diff --git a/gui/baculum/debian/baculum.postinst b/gui/baculum/debian/baculum.postinst
new file mode 100644 (file)
index 0000000..f89dadd
--- /dev/null
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+. /usr/share/debconf/confmodule
+
+db_version 2.0
+
+if [ "$1" = "configure" ] ; then
+ chown root:root            /etc/baculum
+ chown -R www-data:www-data /var/www/baculum
+ chmod 750                  /etc/baculum
+ chmod 750                  /var/www/baculum/protected/Data
+fi
diff --git a/gui/baculum/debian/baculum.substvars b/gui/baculum/debian/baculum.substvars
new file mode 100644 (file)
index 0000000..abd3ebe
--- /dev/null
@@ -0,0 +1 @@
+misc:Depends=
diff --git a/gui/baculum/debian/changelog b/gui/baculum/debian/changelog
new file mode 100644 (file)
index 0000000..1f2f108
--- /dev/null
@@ -0,0 +1,5 @@
+baculum (7.0.5) stable; urgency=low
+
+   * new upstream
+
+ -- Marcin Haba <marcin.haba@bacula.pl>  Sun, 22 Jun 2014 16:55:01 +0200
diff --git a/gui/baculum/debian/compat b/gui/baculum/debian/compat
new file mode 100644 (file)
index 0000000..f11c82a
--- /dev/null
@@ -0,0 +1 @@
+9
\ No newline at end of file
diff --git a/gui/baculum/debian/control b/gui/baculum/debian/control
new file mode 100644 (file)
index 0000000..56f3de3
--- /dev/null
@@ -0,0 +1,13 @@
+Source: baculum
+Section: base
+Priority: optional
+Maintainer: Marcin Haba <marcin.haba@bacula.pl>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: baculum
+Section: base
+Architecture: all
+Depends: php5-cgi, php5-curl, php5-mysql, php5-pgsql, php5-sqlite, php5-json, lighttpd
+Description: Baculum WebGUI tool for Bacula Community program
+
diff --git a/gui/baculum/debian/dirs b/gui/baculum/debian/dirs
new file mode 100644 (file)
index 0000000..70d672b
--- /dev/null
@@ -0,0 +1,2 @@
+etc/baculum
+var/www/baculum
\ No newline at end of file
diff --git a/gui/baculum/debian/files b/gui/baculum/debian/files
new file mode 100644 (file)
index 0000000..4fbb2a7
--- /dev/null
@@ -0,0 +1 @@
+baculum_7.0.5_all.deb base optional
diff --git a/gui/baculum/debian/install b/gui/baculum/debian/install
new file mode 100644 (file)
index 0000000..48fec95
--- /dev/null
@@ -0,0 +1,10 @@
+.htaccess  /var/www/baculum/
+AUTHORS    /var/www/baculum/
+assets     /var/www/baculum/
+framework  /var/www/baculum/
+index.php  /var/www/baculum/
+LICENSE    /var/www/baculum/
+protected  /var/www/baculum/
+themes     /var/www/baculum/
+examples/baculum.users /var/www/baculum/protected/Data
+examples/baculum.lighttpd.conf /etc/baculum
diff --git a/gui/baculum/debian/rules b/gui/baculum/debian/rules
new file mode 100755 (executable)
index 0000000..9435d56
--- /dev/null
@@ -0,0 +1,15 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+PACKAGE_NAME = baculum
+
+%:
+       dh $@